[package]
name = "ghost-weaver"
version = "0.0.1"
description = "Weaving a secure cryptographic tapestry across different external chains."
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
log = { workspace = true }
hex = { workspace = true }
num-traits = { workspace = true }
parking_lot = { workspace = true }
serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true, features = ["alloc"] }

codec = { workspace = true, features = ["max-encoded-len"] }
scale-info = { workspace = true, features = ["derive"] }

frame-benchmarking = { workspace = true, optional = true }
frame-support = { workspace = true }
frame-system = { workspace = true }
pallet-balances = { workspace = true, optional = true }

sp-keystore = { workspace = true, optional = true }
sp-application-crypto = { workspace = true }
sp-runtime = { workspace = true }
sp-arithmetic = { workspace = true }
sp-core = { workspace = true }
sp-std = { workspace = true }
sp-io = { workspace = true }

ghost-networks = { workspace = true }
ghost-helpers = { workspace = true }
ghost-traits = { workspace = true }

[dev-dependencies]
sp-keystore = { workspace = true }

[features]
default = ["std"]
std = [
	"log/std",
	"hex/std",
	"codec/std",
	"num-traits/std",
	"scale-info/std",
	"frame-support/std",
	"frame-system/std",
	"frame-benchmarking?/std",
    "sp-application-crypto/std",
    "sp-runtime/std",
    "sp-arithmetic/std",
    "sp-keystore?/std",
    "sp-core/std",
    "sp-std/std",
    "sp-io/std",
    "ghost-networks/std",
    "ghost-helpers/std",
    "ghost-traits/std",
    "pallet-balances/std",
]
runtime-benchmarks = [
	"frame-benchmarking/runtime-benchmarks",
    "frame-support/runtime-benchmarks",
    "frame-system/runtime-benchmarks",
    "ghost-networks/runtime-benchmarks",
    "pallet-balances/runtime-benchmarks",
    "ghost-helpers/runtime-benchmarks",
    "sp-keystore"
]
try-runtime = [
    "frame-support/try-runtime",
    "frame-system/try-runtime",
    "ghost-networks/try-runtime",
    "pallet-balances/try-runtime",
]